Package org.talend.transform.runtime.api

# Class ExecutionHelper

java.lang.Object
org.talend.transform.runtime.api.ExecutionHelper

public class ExecutionHelper extends Object
This class is used for various cases when it's necessary to execute Java code when running a map. It is intended to be subclasses and the desired functions overridden. The implementation subclass name may be specfied as part of the Mapper project properties for use within the designer. When executing a map, an object of this class may be specified in the MapExecutionContext. New methods may be added in subsequent releases, but existing implementations of the subclasses will continue to work without modification.

## Constructor Summary

Constructors
Constructor
Description
`ExecutionHelper()`

## Method Summary

Modifier and Type
Method
Description
`void`
`designExecutionInitialize()`
Used to allow initialization when using Java objects in the Studio.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ExecutionHelper

public ExecutionHelper()

## Method Details

### designExecutionInitialize

public void designExecutionInitialize()
Used to allow initialization when using Java objects in the Studio. This is called at the beginning of a map execution to handle any required static initialization.